Subject: Re: bug#1750: [PATCH] Support standard ASCII-IPA mappings in leim/quail/ipa.el.

From: Aidan Kehoe <[email-masked]>
Date: Wed, 31 Dec 2008 19:51:58 +0000

Ar an t-aonú lá is triochad de mí na Nollaig, scríobh Stefan Monnier: 

 > > I was asked to resend this after the release; see
 > > http://mid.gmane.org/[email-masked] and
 > > http://thread.gmane.org/gmane.emacs.pretest.bugs/16625 for the associated
 > > thread.
 > 
 > I was tempted to switch to utf-8 already so as to split your patch into
 > 2 steps where the second results in a cleaner patch.  But I see that
 > ipa.el contains some chars (IIUC there are 5 of those) that Emacs
 > doesn't know how to encode into utf-8.  E.g. the char associated with
 > "/3~".  Your patch seems to just remove that one.  Can you explain
 > what's going on with those?

Those characters are precomposed nasalised vowels (see the attached pic; see
also character code 54, which is just o, there is nothing special about the
o in IPA versus its use in most Roman-alpahbet languages. The pic uses a
font from https://launchpad.net/ubuntu/+source/xfonts-kappa20/0.396-1 .) 
Nasalisation is indicated in the IPA with a combining tilde, U+0303--Unicode
includes some vowels with precombined tildes, but not those.

I was going to say that the mapping of "~" to U+0303 in the input method
meant that equivalent text was input (with, for example "/3~" now giving
"\u025b\u0303"), but now I double-check, the mapping of "~" to U+0303 is
included in the other two input methods in the file, but not in that one. It
would be sensible to add it, though I hope people use the Kirshenbaum or
X-SAMPA input methods instead, there’s no good reason to learn that
ASCII-IPA mapping. 

The change at http://mid.gmane.org/[email-masked]
would also be helpful. Here’s a patch to the file including both:

--- ipa-20070114.el	2007-01-14 13:49:36.000000000 +0000
+++ ipa-20070114.el.new	2008-12-31 19:46:57.000000000 +0000
@@ -103,7 +103,8 @@
  ("M" ?ʍ)
  ("'" ?ˈ)
  ("`" ?ˌ)
- (":" ?ː))
+ (":" ?ː)
+ ("~" ?\u0303))
 
 (quail-define-package
  "kirshenbaum-ipa" "IPA" "IPA-K" t
@@ -138,7 +139,7 @@
  ("M" "ɱ")	;; Labio-dental nasal			U+0271
  ("N" "ŋ")	;; Velar nasal				U+014B
  ("O" "ɔ")	;; Low-mid back rounded vowel		U+0254
- ("P" "Φ")	;; Voiceless bilabial fricative		U+03A6
+ ("P" "ɸ")	;; Voiceless bilabial fricative		U+0278
  ("Q" "ɣ")	;; Voiced velar fricative		U+0263
  ("R" ["ʀ"	;; Alveolar trill			U+0280
        "ɚ"])    ;; Rhotacised schwa			U+025A

-- 
¿Dónde estará ahora mi sobrino Yoghurtu Nghé, que tuvo que huir
precipitadamente de la aldea por culpa de la escasez de rinocerontes?